explain_mkostemp_or_die(3)

NAME
explain_mkostemp_or_die - create a unique temporary file and report errors

SYNOPSIS
#include <libexplain/mkostemp.h>

int explain_mkostemp_or_die(char *templat, int flags);
int explain_mkostemp_on_error(char *templat, int flags);

DESCRIPTION
The explain_mkostemp_or_die function is used to call the mkostemp(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_mkostemp(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_mkostemp_on_error function is used to call the mkostemp(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_mkostemp(3) function, but still returns to the caller.

templat
    The template, exactly as to be passed to the mkostemp(3) system call.

flags
    The flags, exactly as to be passed to the mkostemp(3) system call.

RETURN VALUE
The explain_mkostemp_or_die function only returns on success, see mkostemp(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_mkostemp_on_error function always returns the value return by the wrapped mkostemp(3) system call.

EXAMPLE
The explain_mkostemp_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_mkostemp_or_die(templat, flags);

SEE ALSO

mkostemp(3)
    create a unique temporary file

explain_mkostemp(3)
    explain mkostemp(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller